package com.xinyilu.system.service.ItemBatchInfo.impl;

import com.xinyilu.common.utils.DateUtils;
import com.xinyilu.system.domain.ItemBatchInfo.ItemBatchInfo;
import com.xinyilu.system.mapper.ItemBatchInfo.ItemBatchInfoMapper;
import com.xinyilu.system.service.ItemBatchInfo.IItemBatchInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 批次项目关系Service业务层处理
 *
 * @author 纪寒
 * @date 2022-08-24
 */
@Service
public class ItemBatchInfoServiceImpl implements IItemBatchInfoService {

    @Resource
    private ItemBatchInfoMapper itemBatchInfoMapper;

    /**
     * 查询批次项目关系
     *
     * @param id 批次项目关系主键
     * @return 批次项目关系
     */
    @Override
    public ItemBatchInfo selectItemBatchInfoById(Long id) {
        return itemBatchInfoMapper.selectItemBatchInfoById(id);
    }

    /**
     * 查询批次项目关系列表
     *
     * @param itemBatchInfo 批次项目关系
     * @return 批次项目关系
     */
    @Override
    public List<ItemBatchInfo> selectItemBatchInfoList(ItemBatchInfo itemBatchInfo) {
        return itemBatchInfoMapper.selectItemBatchInfoList(itemBatchInfo);
    }

    /**
     * 新增批次项目关系
     *
     * @param itemBatchInfo 批次项目关系
     * @return 结果
     */
    @Override
    public int insertItemBatchInfo(ItemBatchInfo itemBatchInfo) {
        itemBatchInfo.setCreateTime(DateUtils.getNowDate());
        return itemBatchInfoMapper.insertItemBatchInfo(itemBatchInfo);
    }

    /**
     * 修改批次项目关系
     *
     * @param itemBatchInfo 批次项目关系
     * @return 结果
     */
    @Override
    public int updateItemBatchInfo(ItemBatchInfo itemBatchInfo) {
        itemBatchInfo.setUpdateTime(DateUtils.getNowDate());
        return itemBatchInfoMapper.updateItemBatchInfo(itemBatchInfo);
    }

    /**
     * 批量删除批次项目关系
     *
     * @param ids 需要删除的批次项目关系主键
     * @return 结果
     */
    @Override
    public int updateItemBatchInfoByIds(Long[] ids) {
        return itemBatchInfoMapper.updateItemBatchInfoByIds(ids);
    }

    /**
     * 删除批次项目关系信息
     *
     * @param id 批次项目关系主键
     * @return 结果
     */
    @Override
    public int deleteItemBatchInfoById(Long id) {
        return itemBatchInfoMapper.deleteItemBatchInfoById(id);
    }
}
